summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorKeenan Brock <keenan@thebrocks.net>2015-01-05 19:05:29 +0000
committer~suv <suv-sf@users.sourceforge.net>2015-01-05 19:05:29 +0000
commit7365e195f79528411ff03aa5f4793dd38aa11a0c (patch)
treee307479b98591b15df76e9d98dfbe141e0fd10b3 /packaging
parentpackaging/macosx: increase revision for local py-numpy port (diff)
downloadinkscape-7365e195f79528411ff03aa5f4793dd38aa11a0c.tar.gz
inkscape-7365e195f79528411ff03aa5f4793dd38aa11a0c.zip
packaging/macosx: support using direct symlinks to the launcher script (partial fix for bug #181639)
(bzr r13798.1.6)
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/Resources/bin/inkscape3
1 files changed, 2 insertions, 1 deletions
diff --git a/packaging/macosx/Resources/bin/inkscape b/packaging/macosx/Resources/bin/inkscape
index 8cb581a05..dd6a888b7 100755
--- a/packaging/macosx/Resources/bin/inkscape
+++ b/packaging/macosx/Resources/bin/inkscape
@@ -15,7 +15,8 @@ get_env_current ()
[ -n "$INK_DEBUG_LAUNCHER" ] && set -x
-CWD="$(cd "$(dirname "$0")" && pwd)"
+CMD="$(readlink $0 || echo $0)"
+CWD="$(cd "$(dirname "$CMD")" && pwd -P)"
# e.g. /Applications/Inkscape.app/Contents/Resources/bin
TOP="$(dirname "$CWD")"
# e.g. /Applications/Inkscape.app/Contents/Resources